/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pr2_cv5;

import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author kuchajar
 */
public class TelefonniSeznamGenerika<T extends Polozka> {

    int pozice = 0;
    List<T> seznam = new LinkedList<T>();

    public void pridej(T p) {
        seznam.add(p);
    }

    public T vrat(int i) {
        if (seznam.size() == 0 || i >= seznam.size() || i < 0) {
            return null;
        } else {
            return seznam.get(i);
        }
    }

    public T vratAktualni() {
        return vrat(pozice);
    }

    public void vypis() {

        for (T p : seznam) {
            System.out.println(p);
        }
    }

    public boolean konec() {
        return (pozice == (seznam.size() - 1) || seznam.size() == 0);
    }

    public boolean zacatek() {
        return (pozice == 0);
    }

    public void vpred() {
        if (!konec()) {
            pozice++;
        }
    }

    public void vzad() {
        if (!zacatek()) {
            pozice--;
        }
    }

    public Object[] getPole() {
        return seznam.toArray();
    }

    public static void main(String[] args) {
        TelefonniSeznamGenerika<Polozka> ts = new TelefonniSeznamGenerika<Polozka>();
        ts.pridej(new Polozka("j", "5845"));
        ts.pridej(new Polozka("a", "5845"));
        ts.vypis();

        /*
        TelefonniSeznamGenerika<Integer> ts2 = new TelefonniSeznamGenerika<Integer>();
        ts2.pridej(new Integer(5));
        ts2.vypis();
         * 
         */
    }
}
